Name:           clutter
Version:        1.26.4
Release:        1
Summary:        Clutter can create fast, visually rich graphical user interfaces.

License:        LGPLv2+
URL:            https://blogs.gnome.org/clutter/
Source0:        https://download.gnome.org/sources/clutter/1.26/%{name}-%{version}.tar.xz

BuildRequires:  atk-devel gtk3-devel libgudev-devel systemd-devel libXi-devel
BuildRequires:  mesa-libGL-devel gdk-pixbuf2-devel libXcomposite-devel gettext
BuildRequires:  pango-devel wayland-devel libXdamage-devel libxkbcommon-devel
BuildRequires:  pkgconfig(cairo-gobject) pkgconfig(libinput) pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(cogl-1.0) pkgconfig(gio-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  mesa-libEGL-devel

Requires:       cairo cogl libinput glib2 gobject-introspection mesa-dri-drivers
Requires:       json-glib

%description
Clutter is a toolkit for creating compelling, dynamic, and portable
graphical user interfaces. Clutter is free software, developed by
the GNOME community.

%package        devel
Summary:        The development environment for clutter
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-tests
Obsoletes:      %{name}-tests

%description    devel
The %{name}-devel package contains the header files and libraries for
building a extension library.

%package        help
Summary:        Documents for %{name}
Buildarch:      noarch
Requires:       man info %{name} = %{version}-%{release}
Provides:       %{name}-doc
Obsoletes:      %{name}-doc

%description    help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-xinput --enable-gdk-backend --enable-installed-tests \
           --enable-egl-backend --enable-evdev-input --enable-wayland-backend \
           --enable-wayland-compositor
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}
%delete_la
%find_lang clutter-1.0

%ldconfig_scriptlets

%files -f clutter-1.0.lang
%license COPYING
%{_libdir}/libclutter-1.0.so.*
%{_libdir}/libclutter-glx-1.0.so.0
%{_libdir}/girepository-1.0/

%files devel
%{_datadir}/gir-1.0/
%{_datadir}/clutter-1.0/valgrind/clutter.supp
%{_libdir}/*.so
%{_libdir}/pkgconfig/
%{_includedir}/*
%{_datadir}/installed-tests/
%{_libexecdir}/installed-tests/clutter

%files help
%doc README.md NEWS
%{_datadir}/gtk-doc/html/clutter

%changelog
* Mon Feb 1 2021 yanglu <yanglu60@huawei.com> - 1.26.4-1
- update to 1.26.4

* Wed Sep 9 2020 hanhui <hanhui15@huawei.com> - 1.26.2-10
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source url

* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.26.2-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add requires

* Thu Aug 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.26.2-8
- Package Init

